<?php
	// Exit if accessed directly
	if( !defined( 'ABSPATH' ) ) exit;

	abstract class wpForoMg2Board{
		protected $db;
		protected $limit;
		
	 	public function __construct(){
	 		global $wpdb, $mg2wpforo;
			$this->db = $wpdb;
			$this->limit = $mg2wpforo->itempercycle ? ' LIMIT ' . $mg2wpforo->itempercycle : '';
	 	}
	 	
	 	abstract public function get_users_count();
	 	abstract public function get_forums_count();
	 	abstract public function get_topics_count();
	 	abstract public function get_posts_count();
	 	abstract public function get_forums();
	 	abstract public function get_topics();
	 	abstract public function get_replies();
	}

?>